/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.entity;


import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Workattachment;
import com.jeeplus.modules.workcontent.web.WorkContentTypeController;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 报告详情Entity
 * @author yangfan
 * @version 2018-06-05
 */
public class ProjectReportDataInfo extends ActEntity<ProjectReportDataInfo> {

	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String officeName;		// 部门id
	private String name;		// 报告名称
	private String number;		// 报告编号
	private String type;		// 工作内容类型
	private String achievementType;		// 成功类型
	private User signCostOne;		// 签字造价师一
	private User signCostTwo;		// 签字造价师二
	private User master;		// 负责人
	private Date reportDate;		// 报告日期
	private String masterName;
	private String signCostOneName;
	private String signCostTwoName;
	private String typeName;
	private String date;

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	@ExcelField(title = "报告名称", align = 2, sort = 2)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title = "报告编号", align = 2, sort = 1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	@ExcelField(title="工作内容类型", align=2, sort=3)
	public String getTypeName() {
		return WorkContentTypeController.getContentTypeName(this.type,"");
	}


	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@ExcelField(title="成果类型", align=2, sort=4,mainDictType = "achievement_type")
	public String getAchievementType() {
		return achievementType;
	}

	public void setAchievementType(String achievementType) {
		this.achievementType = achievementType;
	}

	@ExcelField(title="报告日期", align=2, sort=5)
	public Date getReportDate() {
		return reportDate;
	}

	@ExcelField(title="签字造价师1", align=2, sort=6)
	public String getSignCostOneName() {
		return this.signCostOne.getName();
	}

	@ExcelField(title="签字造价师2", align=2, sort=7)
	public String getSignCostTwoName() {
		return this.signCostTwo.getName();
	}

	@ExcelField(title="负责人", align=2, sort=8)
	public String getMasterName() {
		return this.master.getName();
	}

	public User getSignCostOne() {
		return signCostOne;
	}

	public void setSignCostOne(User signCostOne) {
		this.signCostOne = signCostOne;
	}

	public User getSignCostTwo() {
		return signCostTwo;
	}

	public void setSignCostTwo(User signCostTwo) {
		this.signCostTwo = signCostTwo;
	}

	public User getMaster() {
		return master;
	}

	public void setMaster(User master) {
		this.master = master;
	}

	public void setReportDate(Date reportDate) {
		this.reportDate = reportDate;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}
}